Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Updated docs

  • Loading branch information...
commit 31167b37bfec5b87ce8f00832fc51adc2b470d4c 1 parent 995ab77
@ariejan authored
View
6 History.txt
@@ -1,4 +1,4 @@
-== 0.0.1 2009-02-05
+== 0.1.0 2009-02-06
-* 1 major enhancement:
- * Initial release
+* Intial release of warcraft-armory:
+ * Retrieval of character information from EU and US armories.
View
18 README.rdoc
@@ -1,32 +1,34 @@
-= warcraft-armory
+= Warcraft Armory
-* FIX (url)
+* http://ariejan.net/tags/warcraft-armory
== DESCRIPTION:
-FIX (describe your package)
+The warcraft-armory gem allows your application to easily access information
+from the World of Warcraft Armory site.
== FEATURES/PROBLEMS:
-* FIX (list of features or problems)
+* Retrieve basic character information from the EU and US armory.
== SYNOPSIS:
- FIX (code sample of usage)
+ require 'warcraft-armory'
+ WarcraftArmory::Character.find(:eu, :aszune, :adries)
== REQUIREMENTS:
-* FIX (list of requirements)
+* You'll need the <tt>hpricot</tt> gem installed. It's a dependency, so it should already be installed for you with this gem.
== INSTALL:
-* FIX (sudo gem install, anything else)
+* sudo gem install warcraft-armory
== LICENSE:
(The MIT License)
-Copyright (c) 2009 FIXME full name
+Copyright (c) 2009 Ariejan de Vroom
Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
View
2  Rakefile
@@ -13,7 +13,7 @@ $hoe = Hoe.new('warcraft-armory', WarcraftArmory::VERSION) do |p|
p.extra_dev_deps = [
['newgem', ">= #{::Newgem::VERSION}"]
]
-
+ # p.description = "The warcraft-armory gem allows your application to easily access information from the World of Warcraft Armory site."
p.clean_globs |= %w[**/.DS_Store tmp *.log]
path = (p.rubyforge_name == p.name) ? p.rubyforge_name : "\#{p.rubyforge_name}/\#{p.name}"
p.remote_rdoc_dir = File.join(path.gsub(/^#{p.rubyforge_name}\/?/,''), 'rdoc')
View
2  lib/warcraft_armory.rb
@@ -13,5 +13,5 @@
require 'warcraft_armory/utils/parser'
module WarcraftArmory
- VERSION = '0.0.1'
+ VERSION = '0.1.0'
end
View
42 warcraft-armory.gemspec
@@ -0,0 +1,42 @@
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{warcraft-armory}
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Ariejan de Vroom"]
+ s.cert_chain = ["/Users/ariejan/.gem/gem-public_cert.pem"]
+ s.date = %q{2009-02-06}
+ s.description = %q{The warcraft-armory gem allows your application to easily access information from the World of Warcraft Armory site.}
+ s.email = ["ariejan@ariejan.net"]
+ s.extra_rdoc_files = ["History.txt", "Manifest.txt", "README.rdoc"]
+ s.files = ["History.txt", "Manifest.txt", "README.rdoc", "Rakefile", "config/config.yml", "lib/warcraft-armory.rb", "lib/warcraft_armory.rb", "lib/warcraft_armory/base.rb", "lib/warcraft_armory/character.rb", "lib/warcraft_armory/utils/parser.rb", "script/console", "script/destroy", "script/generate", "spec/fixtures/character-sheet.xml", "spec/spec.opts", "spec/spec_helper.rb", "spec/warcraft_armory/base_spec.rb", "spec/warcraft_armory/character_spec.rb", "spec/warcraft_armory/utils/parser_spec.rb", "tasks/rspec.rake"]
+ s.has_rdoc = true
+ s.homepage = %q{http://ariejan.net/tags/warcraft-armory}
+ s.rdoc_options = ["--main", "README.rdoc"]
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{warcraft-armory}
+ s.rubygems_version = %q{1.3.1}
+ s.signing_key = %q{/Users/ariejan/.gem/gem-private_key.pem}
+ s.summary = %q{The warcraft-armory gem allows your application to easily access information from the World of Warcraft Armory site.}
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 2
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<hpricot>, [">= 0.6.164"])
+ s.add_development_dependency(%q<newgem>, [">= 1.2.3"])
+ s.add_development_dependency(%q<hoe>, [">= 1.8.0"])
+ else
+ s.add_dependency(%q<hpricot>, [">= 0.6.164"])
+ s.add_dependency(%q<newgem>, [">= 1.2.3"])
+ s.add_dependency(%q<hoe>, [">= 1.8.0"])
+ end
+ else
+ s.add_dependency(%q<hpricot>, [">= 0.6.164"])
+ s.add_dependency(%q<newgem>, [">= 1.2.3"])
+ s.add_dependency(%q<hoe>, [">= 1.8.0"])
+ end
+end
Please sign in to comment.
Something went wrong with that request. Please try again.